Skip to content
BolderBolder API
Esc
navigateopen⌘Jpreview

Shop details

Returns full details for a single shop, including HAL links for all available actions (products, orders, contacts, theme, variants).

GET/shops/{id}
Authorization
AuthorizationBearer token (JWT) · headerrequired
OAuth 2.0 Bearer token. Obtain via `POST https://auth.onbolder.com/oauth/token`.
Path parameters
idstringrequired
Shop ID or subdomain
Responses
200Shop resource
idstring
namestring
subdomainstring
urlstring
descriptionstring
currency_codestring
localestring
created_onstring<date-time>
updated_onstring<date-time>
product_countsobject
Show properties
visibleinteger
hiddeninteger
_linksobject
analytics_idstring | null
asset_countinteger
_embeddedobject
Show properties
accountobject
Show properties
statusstring
planstring
created_onstring<date-time>
updated_onstring<date-time>
branchesBranch[]
Show properties
Array of Branch
idinteger
namestring
typestring
allow_local_pickupboolean
_embeddedobject
Show properties
addressAddress
Show properties
streetstring
street_2string
locality_namestring
region_namestring
country_namestring
country_codestring
postal_codestring | null
lat_longstring
Latitude,longitude pair
404Resource not found
messagestring
Request
curl -X GET "https://api.onbolder.com/v1/shops/string" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "id": "string",
  "name": "string",
  "subdomain": "string",
  "url": "string",
  "description": "string",
  "currency_code": "string",
  "locale": "string",
  "created_on": "2019-08-24T14:15:22Z",
  "updated_on": "2019-08-24T14:15:22Z",
  "product_counts": {
    "visible": 0,
    "hidden": 0
  },
  "_links": {},
  "analytics_id": "string",
  "asset_count": 0,
  "_embedded": {
    "account": {
      "status": "string",
      "plan": "string",
      "created_on": "2019-08-24T14:15:22Z",
      "updated_on": "2019-08-24T14:15:22Z"
    },
    "branches": [
      {
        "id": 0,
        "name": "string",
        "type": "string",
        "allow_local_pickup": true,
        "_embedded": {
          "address": {
            "street": "string",
            "street_2": "string",
            "locality_name": "string",
            "region_name": "string",
            "country_name": "string",
            "country_code": "string",
            "postal_code": "string",
            "lat_long": "string"
          }
        }
      }
    ]
  }
}